update mse
set mse.CardNumber = cast(evbase.AmbulanceCard as varchar(36))
	from akuz.T_CDA_MSE_REFERRAL mse
	join akuz.T_EVENT_BASE evbase on mse.EventBase = evbase.EventID
	where try_cast(CardNumber as uniqueidentifier) is null

alter table akuz.T_CDA_MSE_REFERRAL alter column CardNumber uniqueidentifier not null